Obtain a Bearer token
curl --request POST \
--url https://api.mathfi.ai/api/login \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"password": "your-password"
}
'import requests
url = "https://api.mathfi.ai/api/login"
payload = {
"email": "[email protected]",
"password": "your-password"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({email: '[email protected]', password: 'your-password'})
};
fetch('https://api.mathfi.ai/api/login', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "eyJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJtYXRoZmktYWkiLCJzdWIiOiJ1c2VyQGV4YW1wbGUuY29tIiwibmJmIjoxNzAwMDAwMDAwLCJleHAiOjE3MDAwMDM2MDB9.example"
}Authentication
Login
Authenticates a user and returns a JWT Bearer token.
The token is valid for 1 hour and must be included as
Authorization: Bearer <token> on all /api/v1/* requests.
Re-authenticate when you receive a 401 Unauthorized response.
POST
/
api
/
login
Obtain a Bearer token
Body
application/json
Example:
Response
Authentication successful
JWT Bearer token, valid for 1 hour
⌘I